Name: rhs-hadoop
Version: 2.3.3
# release number is automatically updated when source version is the same
Release: 3%{?dist} 
License: Apache License
URL: https://forge.gluster.org/hadoop/glusterfs-hadoop
Summary: GlusterFS Hadoop Plug-in
Group: Applications/File

Source0: glusterfs-hadoop-2.3.3-scm-sources.zip
Source1: maven-metadata.xml
Source2: maven-metadata.xml.md5
Source3: maven-metadata.xml.sha1
Source4: glusterfs-hadoop-2.3.3.pom
Source5: glusterfs-hadoop-2.3.3.jar.md5
Source6: glusterfs-hadoop-2.3.3.jar
Source7: glusterfs-hadoop-2.3.3.jar.sha1
Source8: glusterfs-hadoop-2.3.3.pom.sha1
Source9: glusterfs-hadoop-2.3.3.pom.md5
Source100: 20_glusterfs_hadoop_sudoers

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# yes, this is /usr/lib even on 64-bit
%global hadoop_libdir %{_prefix}/lib/hadoop/lib

%description
Hadoop FileSystem support for GlusterFS

%prep

%build

%install
rm -rf %{buildroot}
/bin/mkdir -p %{buildroot}%{_javadir}
/bin/mkdir -p %{buildroot}%{hadoop_libdir}
/bin/mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d

/usr/bin/install -m 644 %{SOURCE6} %{buildroot}%{_javadir}
/bin/ln -s ../../../..%{_javadir}/glusterfs-hadoop-2.3.3.jar %{buildroot}%{hadoop_libdir}/glusterfs-hadoop-2.3.3.jar

# move sudoers file to /etc/sudoers.d/
install -m 644 %{SOURCE100} %{buildroot}%{_sysconfdir}/sudoers.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/glusterfs-hadoop-2.3.3.jar
%{hadoop_libdir}/glusterfs-hadoop-2.3.3.jar
%config %{_sysconfdir}/sudoers.d/20_glusterfs_hadoop_sudoers

%changelog
* Thu Oct 30 2014 Brad Childs <bchilds@redhat.com> 2.3.1-4
- RPM/Changlong cleanup.

* Fri Oct 24 2014 Brad Childs <bchilds@redhat.com> 2.3.1-3
- Update GA to upstream 5b8534ab12f647d52872fa3befee12af8b65dbb2

* Fri Oct 24 2014 Brad Childs <bchilds@redhat.com> 2.3.1-2
- RPM spec file change, fixed Date format from Thur to Thu

* Fri Oct 24 2014 Brad Childs <bchilds@redhat.com> 2.3.1-1
- RPM spec file change

* Thu Oct 13 2014 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-3
- bz#1122909 Corrected the product name as GlusterFS instead of
- Red Hat Storage in description

* Thu Oct 09 2014 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-2
- bz#1122909 corrected the description

* Thu Oct 09 2014 Shubhendu Tripathi <shtripat@redhat.com> 2.1.6-1
- bz#1065417 fixed rpmlint errors and warnings

* Wed Feb 06 2014 Jeff Vance <jvance@redhat.com> 2.1.6
- fix name from "gluster" to "glusterfs-hadoop"
- minor README updates

* Wed Feb 05 2014 Jeff Vance <jvance@redhat.com> 2.1.5-2
- installs the sudoers file. BZ 1059986

* Wed Jan 9 2014 Jay Vyas <jvyas@redhat.com> 2.1.4-1 
- rename to rhs-hadoop for release

* Fri Nov 22 2013 Jay Vyas <jvyas@rehdat.com> 2.1.4
- Initial import into the glusterfs-hadoop plug-in as part of our deployment. 

* Fri May 18 2012 Anthony Towns <atowns@redhat.com> - 0.20.2-0
- Initial build
